<?
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';
$set['title']='Мои рейтинг'; // заголовок страницы
include_once 'sys/inc/thead.php';
title();
aut();


$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `my_rating` WHERE `id_user` = '$user[id]'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];


if ($k_post==0){echo "За вашу страничку еще не голосовали<br/>\n";}


$q=mysql_query("SELECT * FROM `my_rating` WHERE `id_user` = '$user[id]' ORDER BY `time` DESC  LIMIT $start, $set[p_str]");
while ($post = mysql_fetch_array($q))
{

if($num==1){ 
echo "<div class='news'>"; 
$num=0;
}else{ 
echo "<div class='str'>"; 
$num=1;}

$g=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '$post[id_ank]'"));
echo "".online($g['id'])."\n";
echo "<a href='/info.php?id=$g[id]'><span style=\"color:$g[ncolor]\">$g[nick]</span></a>\n";
echo "<font color='#ff0000'><b>+$post[rat]</b></font>\n";
echo "(".vremja($post['time']).")<br/>\n";
echo "</div>"; 

}

if ($k_page>1)str("my_rating.php?",$k_page,$page); // Вывод страниц


include_once 'sys/inc/tfoot.php';
?>